# Note that this is NOT a relocatable package
%define ver      1.4.1.2
%define rel      1
%define prefix   %{_prefix}

Summary: GNOME utility programs.
Name: gnome-utils
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-utils/gnome-utils-%{ver}.tar.gz
###Patch0: gnome-utils-%{ver}-aix.patch
Patch1: gnome-utils-%{ver}-lang.patch
BuildRoot: /var/tmp/gnome-utils-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Docdir: %{prefix}/doc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of utilities for GNOME, including Gcalc, Gdialog,
Gdiskfree, and many others.

%changelog
* Wed Jun 26 2002 Chris Tysor <cjtysor@us.ibm.com>
- Update to 1.4.1.2

* Mon Oct 22 2001 Dan Nguyen <dnn@austin.ibm.com>
- Update to 1.4.1.1

* Fri Oct 19 2001 Dan Nguyen <dnn@austin.ibm.com>
- Update to 1.4.1

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree

%prep
%setup -q
###%patch0 -p1 -b .aix
%patch1 -p1 -b .lang

%build
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`

CFLAGS="$RPM_OPT_FLAGS -DWITH_SPARKLES" LDFLAGS="-Wl,-brtl" ./configure --prefix=%prefix --without-messages --x-libraries=/usr/lib
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/var
make prefix=$RPM_BUILD_ROOT%{prefix} bindir=$RPM_BUILD_ROOT%{prefix}/bin install

# sorry alan, new users will never get rid of this :)
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities/gpenguin.desktop 

# gshutdown isn't what we want at this time
rm -f $RPM_BUILD_ROOT%{prefix}/bin/gshutdown
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/*/gshutdown.desktop
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gshutdown

# strip binaries
/usr/bin/strip `LANG=C file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'` 2>/dev/null || :


(cd $RPM_BUILD_ROOT
 mkdir -p usr/bin
 cd usr/bin
 ln -sf ../..%{_prefix}/bin/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
/usr/bin/*

%{prefix}/share/a*/*
%{prefix}/share/gcolorsel/
%{prefix}/share/gnome/*
%{prefix}/share/idl/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/logview
%{prefix}/share/mime-info/*
%{prefix}/share/omf/gnome-utils
%{prefix}/share/pixmaps/*
%{prefix}/share/stripchart
%{prefix}/etc/CORBA/servers/*
%{prefix}/man/man1/*
%{prefix}/man/man8/*
